您现在的位置:动易起航 >> 录像教程>>网页设计精通教程>>网站重构&Web标准设计第二版(高级篇) >> 正文内容

2.1 过时的浏览器

温馨提示本系列教程由于亚东(Adam)先生授权给动易起航转载发布。欢迎大家向作者订购本系列教程光盘(淘宝店订购)。

本站所提供的视频录像均为 .swf 格式,若无法显示视频录像请下载 Flash Player 插件。为确保讲解与演示内容的清晰度,视频录像文件都比较大,浏览下载至缓存文件夹需要一定的时间,敬请耐心等待。

返回目录 订购光盘

作者:于亚东 更新时间:2009年10月26日 人气: 视频录像简介

     早在1997年,有一个通用的惯例,在Web开发中,网景的Netscape浏览器使用Javascript,微软的IE使用Jscript(一种类似于Javasrcipt的脚本语言)。Javasrcipt只能运行在Netscape,而微软的ActiveX和Jscript只能运行在IE。当时只能为不同的浏览器采用不同的代码去适应,这些事情是为他们3.0版本浏览器做的,1997年下半年的时候,Netscape和IE都推出了4.0版本浏览器,他们各自吹嘘自己的浏览器有强大的Dhtml(动态的html),但他们的浏览器之间完全不兼容,更不用说其他不知名的浏览器了,而且Netscape和IE跟他们3.0的版本也无法兼容,如果你想让自己的网站在几个不同版本的浏览器中同时使用的话,就要做几个不同的版本的代码去适应,每个功能都要做几个不同的版本去适应不同的浏览器,开发成本至少增加了25%;所以一些开发者限制他们的网站只适应其中一个版本的浏览器。而且网站随时面临着过时的命运和被淘汰的怪圈。

 

关于本教程作者:
   于亚东,英文名 Adam,UI 设计师,深圳清华数字物流与智能运输联合研发中心 UI 设计师,联系信箱:yydxp88@163.com。擅长xhtml、css、photoshop、flash。个人网站: www.yuyadong.com,技术论坛:bbs.yuyadong.com/,欢迎前来交流咨询!